Package com.sun.jna.platform.win32.COM.util

## Interface IConnectionPoint

All Known Implementing Classes:
  `ProxyObject`

    public interface IConnectionPoint

### Method Summary

All Methods Instance Methods Abstract Methods
`IComEventCallbackCookie` `advise​(java.lang.Class<?> comEventCallbackInterface, IComEventCallbackListener comEventCallbackListener)` Set up the comEventCallbackListener to receive callback events from the target COM object
`void` `unadvise​(java.lang.Class<?> comEventCallbackInterface, IComEventCallbackCookie cookie)` Stop listening for callback events

### Method Detail

#### advise

    IComEventCallbackCookie advise​(java.lang.Class<?> comEventCallbackInterface,
                                   IComEventCallbackListener comEventCallbackListener)
                            throws COMException

Set up the comEventCallbackListener to receive callback events from the target COM object

Parameters:
  `comEventCallbackInterface` - - the COM interface that the listener will receive events from
  `comEventCallbackListener` - - and object that will receive the callback events
Returns:
  - a cookie that can be used to detach (unadvise) the event callback listener throws COMException if an error occurs trying to set up the listener on the target COM object, see exception cause for details.
Throws:
  `COMException`

#### unadvise

    void unadvise​(java.lang.Class<?> comEventCallbackInterface,
                  IComEventCallbackCookie cookie)
           throws COMException

Stop listening for callback events

Parameters:
  `comEventCallbackInterface` - - the interface that is being listened to
  `cookie` - - the cookie that was returned when advise was called
Throws:
  `COMException`